Class UmlBuiltin

Internal class used to memorize the types defined through the first 'generation settings' tab

Declaration :

- C++ : struct UmlBuiltin
- Java : final class UmlBuiltin

Artifact : UmlBuiltin

Attribut uml

Declaration :

- Uml : + uml : string
- C++ : public: QCString uml
- Java : public String uml

Attribut cpp

Declaration :

- Uml : + cpp : string
- C++ : public: QCString cpp
- Java : public String cpp

Attribut cpp_in

Declaration :

- Uml : + cpp_in : string
- C++ : public: QCString cpp_in
- Java : public String cpp_in

Attribut cpp_out

Declaration :

- Uml : + cpp_out : string
- C++ : public: QCString cpp_out
- Java : public String cpp_out

Attribut cpp_inout

Declaration :

- Uml : + cpp_inout : string
- C++ : public: QCString cpp_inout
- Java : public String cpp_inout

Attribut cpp_return

Declaration :

- Uml : + cpp_return : string
- C++ : public: QCString cpp_return
- Java : public String cpp_return

Attribut java

Declaration :

- Uml : + java : string
- C++ : public: QCString java
- Java : public String java

Attribut idl

Declaration :

- Uml : + idl : string
- C++ : public: QCString idl
- Java : public String idl